"use client";
import { __exports as u } from "../../../../../_virtual/range2.js";
import { __require as g } from "../_internal/isIterateeCall.js";
import { __require as _ } from "../util/toFinite.js";
var l;
function y() {
  return l ? u : (l = 1, (function(t) {
    Object.defineProperty(t, Symbol.toStringTag, { value: "Module" });
    const c = /* @__PURE__ */ g(), n = /* @__PURE__ */ _();
    function m(e, r, i) {
      i && typeof i != "number" && c.isIterateeCall(e, r, i) && (r = i = void 0), e = n.toFinite(e), r === void 0 ? (r = e, e = 0) : r = n.toFinite(r), i = i === void 0 ? e < r ? 1 : -1 : n.toFinite(i);
      const a = Math.max(Math.ceil((r - e) / (i || 1)), 0), f = new Array(a);
      for (let o = 0; o < a; o++)
        f[o] = e, e += i;
      return f;
    }
    t.range = m;
  })(u), u);
}
export {
  y as __require
};
